PingAuthorize API Reference

Read Policy Version History (ID)

GET {{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}

The GET /v2/policy-manager/policies/{{policyId}}/history operation returns a list of the policy’s version details, specified by id in the request URL. The request must provide either a branch ID or a snapshot ID in the request URL to specify where the policy should be read from.

Prerequisites

Query parameters
Query parameter Description

branch

Branch ID or name

snapshot

Snapshot ID

page

Page number of returned policies

page-size

Number of policies per page

Headers

x-user-id      {{userId}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}' \
--header 'x-user-id: {{userId}}'
var options = new RestClientOptions("{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("x-user-id", "{{userId}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-user-id", "{{userId}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}} HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}")
  .method("GET", body)
  .addHeader("x-user-id", "{{userId}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "x-user-id": "{{userId}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}',
  'headers': {
    'x-user-id': '{{userId}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}"

payload = {}
headers = {
  'x-user-id': '{{userId}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'x-user-id' => '{{userId}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["x-user-id"] = "{{userId}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/v2/policy-manager/policies/{{policyId}}/history?snapshot={{snapshotId}}")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "pageHeader": {
        "entityId": "fc94c663-dfe1-4c2c-b5e5-3d795c80a417",
        "entityType": "com.symphonicsoft.policymanager2.policy.Policy"
    },
    "pagination": {
        "page": 1,
        "pageSize": 100,
        "totalItems": 0,
        "totalPages": 0
    },
    "data": [
        {
            "version": "4298df65-db48-4c10-a1f9-179cfb279cd7",
            "deltaId": "20d87aab-086a-4634-80cd-29a9e7370e2c",
            "snapshotId": "1cd1554d-9b07-4b37-9269-018aabf4d673",
            "timestamp": "2025-03-10T20:34:28.859782Z",
            "user": "selfgovernanceadmin"
        },
        {
            "version": "239d9a86-46c3-4437-ac23-e44bbb700383",
            "deltaId": "c06dec05-24cf-4343-84d1-9cb8854e9bca",
            "snapshotId": "1cd1554d-9b07-4b37-9269-018aabf4d673",
            "timestamp": "2025-03-10T20:34:12.601513Z",
            "user": "selfgovernanceadmin"
        }
    ]
}